TIFFCUSTOMTAGLIST(3tiff)

NAME
TIFFCustomTagList - returns information about the custom tag list

SYNOPSIS

    #include <tiffio.h>

int TIFFGetTagListCount(TIFF *tif)

uint32_t TIFFGetTagListEntry(TIFF *tif, int tag_index)

DESCRIPTION

TIFFGetTagListCount() returns the number of entries in the custom tag list.

TIFFGetTagListEntry() returns the tag number of the (n.th - 1) entry within the custom tag list. If the tag_index is larger or equal to the number of entries in the tag list 0xFFFFFFFF (=(uint32_t(-1)) is returned.

NOTE

The known tags to libtiff are define as 'named' tags and a lot of them as custom tags. The custom tag definitions are handled in an internal custom tag list. This list can also be extended by adding tag definitions to that list, so that libtiff is aware of those tags. See Defining Application Tags

DIAGNOSTICS

none

SEE ALSO

libtiff (3tiff), TIFFOpen (3tiff), TIFFError (3tiff)

AUTHOR
LibTIFF contributors

COPYRIGHT
1988-2025, LibTIFF contributors